@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// spinner
app-spinner {
  height: 200px;
}

// back button
.app-back {
  @include ubuntuMedium;
  @include flex(center);
  font-size: 14px;
  line-height: 16px;
  color: $pink-swan;
  cursor: pointer;
  user-select: none;

  .app-icon {
    @include box(12px);
  }
}

// title
app-card-title {
  margin-top: 22px;
}

// form
form {
  margin: 37px 0 30px;
}

// button
.app-flat-button {
  margin-top: 127px;
  width: 100%;
}

// only vissible in mobile view
app-logo {
  display: none;
}

//media qureis for mobile devices
@media (max-width: 767px) {
  :host {
    position: relative;
    display: block;
    width: auto;
    margin-top: 0;
  }
  // only vissible in mobile view
  app-logo {
    display: flex;
  }
  app-card {
    min-height: 100vh;
  }
  app-card-title {
    margin-top: 30px;
  }
  .app-footer {
    position: absolute;
    width: calc(100% - 60px);
    bottom: 20px;
  }
}
